<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{admin.previewauthorisedsheet}">Vorschau hochgeladener Entitäten</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<div data-th-replace="fragments/nav::nav"></div>
	<main>

	<table class="datatable">
		<caption>Zu importierende Titel</caption>
		<thead>
			<tr>
				<th>#</th>
				<th>Name</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="title,status: ${titles.entities}">
				<td data-th-text="${status.index+1}">
				<td data-th-text="${title.name}" />
			</tr>
		</tbody>
	</table>

	<table class="datatable">
		<caption>Zu importierende Geschlechter</caption>
		<thead>
			<tr>
				<th>#</th>
				<th>Name</th>
				<th>Standardtitel</th>
				<th>Standardanrede</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="sex,status: ${sexes.entities}">
				<td data-th-text="${status.index+1}" />
				<td data-th-text="${sex.name}" />
				<td data-th-text="${sex.defaultPrefix}" />
				<td data-th-text="${sex.defaultSalutation}" />
			</tr>
		</tbody>
	</table>

	<table class="datatable">
		<caption>Zu importierende Regionen</caption>
		<thead>
			<tr>
				<th>#</th>
				<th>Name</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="region,status: ${regions.entities}">
				<td data-th-text="${status.index+1}">
				<td data-th-text="${region.name}" />
			</tr>
		</tbody>
	</table>

	<table class="datatable">
		<caption>Zu importierende Weiterbildungsstätten</caption>
		<thead>
			<tr>
				<th>#</th>
				<th>Name</th>
				<th>Adresse</th>
				<th>Region</th>
				<th>Kontakt</th>
				<th>Typ</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="trainingSite,status: ${trainingSites.entities}">
				<td data-th-text="${status.index+1}">
				<td data-th-text="${trainingSite.name}" />
				<td data-th-text="${trainingSite.address.fullAddress}" />
				<td data-th-text="${trainingSite.region.name}" />
				<td data-th-text="${trainingSite.contactInfo}" />
				<td data-th-text="${trainingSite.trainingSiteType}" />
			</tr>
		</tbody>
	</table>

	<table class="datatable">
		<caption>Nicht importierte Weiterbildungsstätte (Duplikate in der Datei)</caption>
		<thead>
			<tr>
				<th>Zeilennummer</th>
				<th>Name</th>
				<th>Anschrift</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="trainingSite: ${skippedTrainingSites}">
				<td data-th-text="${trainingSite.key}">
				<td data-th-text="${trainingSite.value.name}" />
				<td data-th-text="${trainingSite.value.address.fullAddress}" />
			</tr>
		</tbody>
	</table>

	</main>
</body>
</html>